/api/accounts/{accountId}Replace account configuration
Replaces account configuration values for a specific account. Use settings to provide account settings and optionally include onboarding to set onboarding state; read-only settings cannot be changed. The updated account response includes its identifier, settings, domain, and onboarding information.
Optional account update payload. If you provide a body, it must include settings.
A 400 is returned when the request is invalid, a 401 when authentication is missing or invalid, a 403 when access is denied, and a 500 when the server encounters an internal error. The accountId path parameter must identify the account to update. If you provide a request body, it must include settings; its peer_login_expiration_enabled, peer_login_expiration, peer_inactivity_expiration_enabled, peer_inactivity_expiration, regular_users_view_blocked, peer_expose_enabled, and peer_expose_groups fields are required, and read-only settings cannot be changed.